org.gradle.plugins.ide.eclipse

## Class GenerateEclipseProject

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<Project>
          - - org.gradle.plugins.ide.eclipse.GenerateEclipseProject

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class GenerateEclipseProject
      extends XmlGeneratorTask<Project>

  Generates an Eclipse `.project` file. If you want to fine tune the eclipse configuration

  At this moment nearly all configuration is done via `EclipseProject`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateEclipseProject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(Project project)`
    `protected Project` | `create()`
    `EclipseProject` | `getProjectModel()` The Eclipse project model that contains the details required to generate the project file.
    `void` | `setProjectModel(EclipseProject projectModel)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

      `getXmlTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateEclipseProject

          public GenerateEclipseProject()

  - ### Method Detail

    - #### create

          protected Project create()

      Specified by:
        `create` in class `XmlGeneratorTask<Project>`

    - #### configure

          protected void configure(Project project)

      Specified by:
        `configure` in class `XmlGeneratorTask<Project>`

    - #### getProjectModel

          @Internal
          public EclipseProject getProjectModel()

      The Eclipse project model that contains the details required to generate the project file.

    - #### setProjectModel

          public void setProjectModel(EclipseProject projectModel)